<?
/*
    BATCH Forum Archiving - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
	v3.0 (25 February 2004)  : initial release
	v4.0 (06 December 2004)  : no change
*/

header("Pragma: no-cache");
define("CHEMIN", "../../");
include(CHEMIN."inc/reglobals.inc");
include(CHEMIN."inc/functions.php");
include(CHEMIN."inc/funcarch.php");
include(CHEMIN.INCREP."lang/".$lng."-admin".INCEXT);
include(CONFIG);
/// nombre d'itration en phase d'archivage des fichiers ($followup = vide)
$delta1 = 100; 
/// nombre d'itration en contrle d'intgrit
$delta2 = 500;

function ArchiveOneFile($fic1,$fic2) {
  $archive1ok = false;
  if (@copy($fic1,$fic2)) {
    @chmod($fic1,0777);
    $archive1ok = @unlink($fic1);
  }
  return $archive1ok;
}

function ArchiveFile($id) {
  $archivedok = false;
  if (FileDBExist(DBBASE.$id.INCEXT)) {
    $archivedok = ArchiveOneFile(DBBASE.$id.INCEXT,ARCHDBBASE.$id.INCEXT);
    if ($archivedok) {
      $db = array();
      $db[0] = TYP_FORUM;
      $db[1] = $id;
      $db[2] = "a";
      AppendDBFields(DOCIDARCH,$db);
    }
    if (FileDBExist(DBBASE.$id.DBEXT)) {
      ArchiveOneFile(DBBASE.$id.DBEXT,ARCHDBBASE.$id.DBEXT);
    }
    if (FileDBExist(DBIPBASE.$id.DBEXT)) {
      ArchiveOneFile(DBIPBASE.$id.DBEXT,ARCHDBIPBASE.$id.DBEXT);
    }
  }
  return $archivedok;
}

if (empty($followup)) {
  $dbwork = ReadDBFields(DBTHREAD);
  @rsort($dbwork);
}
if (empty($checkid)) {
  $archdate = $archdate."0000";
  for ($i = 0; $i < count($dbwork); $i++) {
    $checkid = Max($checkid,$dbwork[$i][1]);
  }
}
/// Juste pour le cas o le script serait lanc  la main avec followup=1 ou  2
if (strlen($archdate) == 8)   $archdate .= "0000";

?>
<html>
<head>
<title><? echo $admin577; ?></title>
<script language="javascript">
function PopupWindow(page,titre,largeur,hauteur,resizeyn,scrollb) {
var top=(screen.height-hauteur)/2;
var left=(screen.width-largeur)/2;
window.open(page,titre,"top="+top+", left="+left+", width="+largeur+", height="+hauteur+", directories=no, menubar=no, status=no, resizable="+resizeyn+", scrollbars="+scrollb+",location=no"); }
</script>
</head>
<body bgcolor="<? echo $page[0]; ?>" leftmargin="5" topmargin="5" style="overflow: hidden;">
<fieldset><font color="<? echo $texte[0]; ?>">
<p>&nbsp;</p>
<?
if (empty($followup)) {
  ?>
  <p align="center"><? echo $admin584.$checkid; ?></p>
  <?
  $nbcheck = $delta1; /// Nombre d'itration sans archivage
  while ($checkid > 0 && $nbcheck > 0) { 
    $checkit = 0;
    $i = 0;
    while (($i < count($dbwork)) && ($checkit == 0)) {
      if ($dbwork[$i][1] == $checkid) {
        $checkit = 1;
        if ($archdate >= $dbwork[$i][0]) {
          $nbcheck = 0; /// arrt car archivage ralis
          echo $admin585.$dbwork[$i][1]."<br />";
          for ($j = $i; $j < count($dbwork); $j++) {
            if ($dbwork[$j][1] == $checkid) {
              if ($dbwork[$j][2] == 0) {
                echo "&nbsp;&nbsp;- ".$admin592."<br />";
              }
              else {
                echo "&nbsp;&nbsp;- ".$admin586.$dbwork[$j][2]."<br />";
              }
              ArchiveFile($dbwork[$j][3]);
            }
          }
        }
      }
      $i++;
    }
    $checkid--;
    $nbcheck--;
  }
  if ($checkid > 0) {
    $nextstep = "PopupWindow(\"archbatch.php?lng=".$lng."&amp;archdate=".$archdate."&amp;checkid=".$checkid."\",\"archbatch\",400,300,\"no\",\"no\")";
  }
  else {
    $nextstep = "PopupWindow(\"archbatch.php?lng=".$lng."&amp;archdate=".$archdate."&amp;checkid=-1&amp;followup=1\",\"archbatch\",400,300,\"no\",\"no\")";
  }
}
elseif ($followup == 1) {
  ?>
  <p align="center"><? echo $admin587."<br /><br />"; ?></p>
  <?
  $dbworknew = ReadDBFields(DOCIDARCH);
  @sort($dbworknew);
  WriteDBFields(DOCIDARCH,$dbworknew);
  $nextstep = "PopupWindow(\"archbatch.php?lng=".$lng."&amp;archdate=".$archdate."&amp;checkid=-1&amp;followup=2\",\"archbatch\",400,300,\"no\",\"no\")";
}
elseif ($followup == 2) {
  ?>
  <p align="center"><? echo $admin588."<br /><br />"; ?></p>
  <?
  /// Attention : c'est une tape qui peut dpasser les 30 secondes d'excution d'o le set_time_limit(0);
  /// en esprant que le safe_mode ne soit pas activ
  set_time_limit(0);
  UpdateDBforumArch();
  $nextstep = "PopupWindow(\"archbatch.php?lng=".$lng."&amp;archdate=".$archdate."&amp;checkid=-1&amp;followup=3\",\"archbatch\",400,300,\"no\",\"no\")";
}
else {
  ?>
  <p align="center"><? echo $admin589."<br /><br />"; ?></p>
  <?
  WriteCounter(DBFORUMARCHDATE,$archdate);
  $nextstep = "PopupWindow(\"dbbatch.php?lng=".$lng."&amp;checkquiet=1&amp;delta=".$delta2."\",\"dbbatch\",400,300,\"no\",\"no\")";
}
?>
<p align="right"><a href="#" onclick="window.close();"><b>Close&nbsp;</b></a></p>
</fieldset></body></html>
<?
if ($nextstep != "") {
  //  sleep(2);
  ?>
  <script language="javascript">
  <? echo $nextstep; ?>
  </script>
  <?
}
?>
