<?php
/*
    Site Style CSS - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v2.4 (24 September 2003) : initial release (removed from inc/hpage.inc)
      v3.0 (25 February 2004)  : added skin management (by Nicolas Alves)
                                 added an links animation effect option (thanks reddog)
      v3.0p2 (09 April 2004)   : bug fix in the INPUT.bouton style (thanks Ouly)
      v4.0 (06 December 2004)  : splitted box style into side and central box's style (by Isa)
                                 splitted links style into 3 different styles : nav menu, central box, sidebox (by Isa)
                                 added HR style (by Isa)
                                 replaced P margin by the appropriate padding tag (by Isa)
                                 added scrollbars style to textareas (by Isa)
                                 added the new editor style (by Icare)
                                 transfered body attributes to the CSS (by Isa)
                                 extracted calendar CSS to calendar.php (by Isa)
                                 added some classes related to skins and hpage / bpage (by Isa)
                                 extracted body attributes from body tags to the CSS (by Isa)
                                 added comments in CSS (by Isa)
                                 added forum/tables style (by Icare)
                                 corrected body background style (by Icare)
      v4.5 (24 February 2005)  : added parameters for editor admin, added ul and li for articles (by Icare)                              
*/

if (stristr($_SERVER["SCRIPT_NAME"], "style.inc")) {
  header("location:../index.php");
  die();
}

$tmpbody = "";
 if (!empty($page[0])) $tmpbody .= "background-color: ".$page[0].";";
 if (!empty($page[3])) $tmpbody .= "background-image: url($bodybackground);";
 if ($page[10] == "on") $tmpbody .= "background-attachment: fixed;";
 if (!empty($page[24])) $tmpbody .= "cursor: url(".$site[3]."inc/img/cursor/".$page[24].".ani);";
 if (!empty($bordure[1])) $tmpbody .= "scrollbar-base-color: ".$bordure[1].";";
 if (!empty($bordure[2])) $tmpbody .= "scrollbar-arrow-color: ".$bordure[2].";";
?>

body {
 <? echo $tmpbody; ?>
 margin: <? echo $topmargin; ?> 0px 0px 0px;
}

.header {
 background-color: <? echo $page[0]; ?>;
 background-position: 100% 50%;
 background-repeat: repeat-x;
}

.logo {
 background-color: transparent;
 padding: 2px;
 text-align: left;
}

.banner {
 margin-right: 2px;
 background-repeat: no-repeat;
 padding: 8px;
 text-align: right;
}

.quote {
 width: 100%;
 white-space: nowrap;
 text-align: center;
}

.headmenu {
 width: 98%;
}

p {
 margin: 4px 0px;
 font-size: <? echo $page[2]; ?>;
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
}

p.menu {
 color: <? echo $lien[4]; ?>;
 text-align: center;
}

p.box {
 margin: 0px;
 font-size: <? echo $page[17]; ?>;
 font-family: <? echo $page[16]; ?>;
 color: <? echo $texte[5]; ?>;
}

.box {
 font-size: <? echo $page[17]; ?>;
 font-family: <? echo $page[16]; ?>;
 color: <? echo $texte[5]; ?>;
}

.titre {
 background-color: <? echo $titre[1]; ?>;
 padding: 5px;
 white-space: nowrap;
 font-size: <? echo $titre[3]; ?>;
 font-family: <? echo $titre[2]; ?>;
 color: <? echo $titre[0]; ?>;
 font-weight: bold;
}

.titrebox {
 background-color: <? echo $titre[5]; ?>;
 padding: 4px;
 white-space: nowrap;
 font-size: <? echo $titre[7]; ?>;
 font-family: <? echo $titre[6]; ?>;
 color: <? echo $titre[4]; ?>;
 font-weight: bold;
}

.titrebox2 {
 font-size: <? echo $titre[7]; ?>;
 font-family: <? echo $titre[6]; ?>;
 color: <? echo $titre[4]; ?>;
 font-weight: bold;
 text-align: center;
}

.cita {
<?
 if (!empty($page[5])) echo "background-color: ".$page[5].";";
?>
 font-family: <? echo $citation[0]; ?>;
 font-size: <? echo $citation[1]; ?>;
 color: <? echo $citation[2]; ?>;
 text-align: center;
 width: 100%;
 border: 0px;
 margin: 0px;
 padding: 0px;
}

.htable {
 padding-top: 10px;
}

.tbl {
 background-color: <? echo $texte[1]; ?>;
 padding: 5px;
}

.tblover {
 background-color: <? echo $texte[2]; ?>;
 padding: 5px;
}

.tbl2 {
 background-color: <? echo $texte[1]; ?>;
 padding: <? echo $padtbl2; ?>;
}

.htable1 {
 margin-bottom: 8px;
}

.tblbox {
 background-color: <? echo $texte[6]; ?>;
 padding: 4px;
}

.tblboxover {
 background-color: <? echo $texte[7]; ?>;
 padding: 4px;
}

.bordure {
 border: <? echo $texte[4];?> solid <? echo $bordure[0]; ?>;
}

.forum {
 background-color: <? echo $forum[0]; ?>;
 padding: 5px 5px;
 font-size: <? echo $page[2]; ?>;
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
 text-align: center;
 font-weight: bold;
}

.forum2 {
 background-color: <? echo $forum[0]; ?>;
 padding: 5px 5px 5px 5px;
 font-size: <? echo $page[2]; ?>;
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
}

.quest {
 background-color: <? echo $forum[1]; ?>;
 padding: 5px 5px 5px 5px;
 font-size: <? echo $page[2]; ?>;
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
}

.rep {
 background-color: <? echo $forum[2]; ?>;
 padding: 10px 5px 5px 5px;
 font-size: <? echo $page[2]; ?>;
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
}

.bord {
 border: 1px solid <? echo $forum[0]; ?>;
}

.bord2 {
 border: 4px double <? echo $forum[0]; ?>;
}

a {
 color: <? echo $lien[0]; ?>;
 text-decoration: none;
}

a:hover {
 color: <? echo $lien[1]; ?>;
 text-decoration: none;
<?
 if ($page[15] == "on") {
    echo "background-color: transparent; position: relative; top: 1px; left: 1px;";
}
?>
}

a.box {
 color: <? echo $lien[2]; ?>;
 text-decoration: none;
 font-size: <? echo $page[17]; ?>;
 font-family: <? echo $page[16]; ?>;
}

a.box2 {
 color: <? echo $lien[3]; ?>;
 text-decoration: none;
 font-size: <? echo $page[17]; ?>;
 font-family: <? echo $page[16]; ?>;
 font-weight: bold;
}

a:hover.box {
 color: <? echo $lien[3]; ?>;
 text-decoration: none;
 font-size: <? echo $page[17]; ?>;
 font-family: <? echo $page[16]; ?>;
<?
 if ($page[15] == "on") {
    echo "background-color: transparent; position: relative; top: 1px; left: 1px;";
}
?>
}

td.menu {
 margin: 2px;
 white-space: nowrap;
 text-align: center;
 padding: 9px 9px;
}

a.menu {
 color: <? echo $lien[4]; ?>;
 text-decoration: none;
 font-size: <? echo $page[19]; ?>;
 font-family: <? echo $page[18]; ?>;
}

a:hover.menu {
 color: <? echo $lien[5]; ?>;
 text-decoration: none;
 font-size: <? echo $page[19]; ?>;
 font-family: <? echo $page[18]; ?>;
<?
 if ($page[15] == "on") {
    echo "background-color: transparent; position: relative; top: 1px; left: 1px;";
}
?>
}

hr {
 height: <? echo $barre[1]; ?>;
 border-bottom: <? echo $barre[1]; ?> <? echo $barre[2]; ?> <? echo $barre[0]; ?>;
 border-top: 0 none; border-right: 0 none; border-left: 0 none;
 width: 98%;
}

ul, ol, li {
 font-size: <? echo $page[2]; ?>;
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
}

ul.art { 
font-weight:bold; padding:0px; margin:0px;
}
li.art {
font-weight:normal; list-style-type:none; padding:0px; margin-left:4px;
}

dl, dd, dt, address, dir, menu, blockquote, td {
 font-size: <? echo $page[2]; ?>;
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
}

h1, h2, h3, h4, h5, h6 {
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
}

td.cal0 {
 font-size: <? echo $calendar[6]; ?>;
 font-family: <? echo $calendar[5]; ?>;
 color: <? echo $calendar[8]; ?>;
 background-color: <? echo $calendar[0]; ?>;
 width: 14%;
 text-align: center;
}

td.cal1 {
 font-size: <? echo $calendar[6]; ?>;
 font-family: <? echo $calendar[5]; ?>;
 color: <? echo $calendar[8]; ?>;
 background-color: <? echo $calendar[1]; ?>;
 width: 14%;
 text-align: center;
}
td.cal2 {
 font-size: <? echo $calendar[6]; ?>;
 font-family: <? echo $calendar[5]; ?>;
 color: <? echo $calendar[8]; ?>;
 background-color: <? echo $calendar[2]; ?>;
 width: 14%;
 text-align: center;
}

td.cal3 {
 font-size: <? echo $calendar[6]; ?>;
 font-family: <? echo $calendar[5]; ?>;
 color: <? echo $calendar[8]; ?>;
 background-color: <? echo $calendar[3]; ?>;
 width: 14%;
 text-align: center;
}

td.cal4 {
 font-size: <? echo $calendar[6]; ?>;
 font-family: <? echo $calendar[5]; ?>;
 color: <? echo $calendar[8]; ?>;
 background-color: <? echo $calendar[4]; ?>;
 width: 14%;
 text-align: center;
}

td.calevt {
 font-size: <? echo $calendar[6]; ?>;
 font-family: <? echo $calendar[5]; ?>;
 font-weight: bold;
 color: <? echo $calendar[8]; ?>;
 background-color: <? echo $page[0]; ?>;
 text-decoration: underline;
 text-align: center;
 width: 14%;
 }

tr.vdev {
 background-color: <? echo $forum[0]; ?>;
}

tr.vdevtr {
 background-color: <? echo $forum[0]; ?>;
}

body.vdev {
 margin-left: 10px; 
 font-family: Arial, sans-serif;
 font-size: 12px;
 background-color: <? echo $forum[2]; ?>;
}

body.vdevdialog {
 margin-left: 0px;
 font-family: Arial, sans-serif;
 font-size: 12px;
 background-color: <? echo $forum[2]; ?>;
}

select.vdev {
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
 font-size: 12px; 
 height: 22px; 
 background-color: <? echo $forum[2]; ?>;
}

input.vdev {
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
 font-size: 12px; height: 22px; 
 background-color: <? echo $forum[2]; ?>;
}

input.vdevx {
 font-family: <? echo $page[1]; ?>;
 color: <? echo $texte[0]; ?>;
 background-color: <? echo $forum[2]; ?>;
 }

form {
 margin: 3px 0px;
}

input.bouton {
 cursor: pointer;
 margin: 4px 0px;
 color: <? echo $presform[0]; ?>;
 border: <? echo $presform[7]; ?> inset <? echo $presform[8]; ?>;
 background-color: <? echo $presform[2]; ?>;
 font-size: <? echo $presform[5]; ?>;
 font-family: <? echo $presform[4]; ?>;
<?
 if ($boutoncenter != "") {
?>
 border: 0px;
 height: 20px;
 margin: 0px;
 padding-bottom: 2px;
 vertical-align: top;
 text-decoration: none;
 background-image: url(<? echo $boutoncenter; ?>);
 background-repeat: repeat-x;
 font-size: 9px;
<?
}
?>
}

input.texte {
 background-color: <? echo $presform[3]; ?>;
 font-size: <? echo $presform[5]; ?>;
 font-family: <? echo $presform[4]; ?>;
 color: <? echo $presform[0]; ?>;
 border: <? echo $presform[7]; ?> solid <? echo $presform[8]; ?>;
 margin: 2px 0px;
}

select {
 color: <? echo $presform[0]; ?>;
 background-color: <? echo $presform[1]; ?>;
 font-family: <? echo $presform[4]; ?>;
 font-size: <? echo $presform[5]; ?>;
 border: <? echo $presform[7]; ?> solid <? echo $presform[8]; ?>;
 margin: 4px 0px;
}

textarea {
 color: <? echo $presform[0]; ?>;
 background-color: <? echo $presform[6]; ?>;
 border: <? echo $presform[7]; ?> solid <? echo $presform[8]; ?>;
 overflow: auto;
 scrollbar-base-color: <? echo $presform[6]; ?>;
 scrollbar-arrow-color: <? echo $presform[0]; ?>;
 margin: 4px 0px;
}

.top {
 font-family: <? echo $titre[2]; ?>;
 font-size: 0.8em;
 text-align: center;
}

.foot {
 font-family: <? echo $titre[2]; ?>;
 font-size: 12px;
 text-align: center; 
 color: <? if ($tabfoot == "") {echo $lien[4];} else {echo $titre[0];} ?>;
}

.copyright {
 font-family: <? echo $titre[2]; ?>;
 font-size: 1em;
 color: <? if ($tabfoot == "") {echo $lien[4];} else {echo $titre[0];} ?>;
 text-align: center;
}

.timer {
 font-family: <? echo $titre[2]; ?>;
 font-size: 1em;
 font-style: italic;
 color: <? if ($tabfoot == "") {echo $lien[4];} else {echo $titre[0];} ?>;
 text-align: center; 
 padding: 8px;
}

.clsCursor {
 cursor: pointer;
}

<?
 if (!empty($page[6])) {
?>
 .band {
 background-image: url(<? echo $bodyheader; ?>);
 text-align: center;
}
<?
}
?>
