<?php
/*
    Links - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alves,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.7 (28 January 2003)   : added category ordering information
      v2.2 (22 April 2003)     : option for choosing the number of items to display in news, forum threads, links, downloads, FAQ and Guestbook
                                 cleanup in the images organization
      v2.3 (27 July 2003)      : added direct jump to pages (by Nicolas Alves and Laurent Duveau)
      v2.4 (24 September 2003) : added section icon in central boxes
                                 added ReadDoc() function
                                 reviewed all Files Read & Write functions
                                 secured transfered parameters
                                 created $typ_[name] variables
      v4.0 (06 December 2004)  : added page title (by Jean-Mi)
                                 added alt tags to img and removed border tag for non-linked img (by Isa)
                                 added new appearance with td style (by Icare)
                                 added new navigation and optionnal quick admin (by Nicolas Alves)
      v4.5 (13 March 2005)     : new release (by Nico and Icare)
                                 replacing navigation bar (by Jean-Mi)
                                 added close button and correct closing div (by Icare)
*/

header("Pragma: no-cache");
define("CHEMIN", "");
include("inc/includes.inc");

if ($serviz[11] != "on") {
  exit($web143);
}
$pg = strip_tags($pg);
$id = strip_tags($id);
if (!empty($pg) && !is_numeric($pg)) die('Erreur dans la variable $pg');
if (!empty($id) && !is_numeric($id)) die('Erreur dans la variable $id');

function IsNotEmptyTitle($var) {
  global $lng, $lang;
  return $lng == $lang[0] ? !empty($var[2]) : !empty($var[3]);
}

if (!empty($pg)) {
  if (count(SelectDBFields(TYP_LINKS,"a",$pg)) != 0) {
    $dbwork[0][4] = $pg;
  }
  else {
    $dbwork = array();
  }
}
else {
  $dbwork2 = ReadDBFields(DBLINKS);
  $dbwork = array_filter($dbwork2, 'IsNotEmptyTitle');
  unset($dbwork2);
}
@sort($dbwork);

if ($lng == $lang[0]) {
  $i = 0;
}
else {
  $i = 10;
}
$topmess = $nom[$i+3];
if ($page[9] != "") {
  $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/links.gif" align="right" width="32" height="32" alt="links.gif" title="links.gif" />'.$topmess;
}
include("inc/hpage.inc");
htable($topmess, "100%");

if ($members[0]=="on" && $userprefs[1]=="" && $members[3]=="on") {
  echo '
  <br />
  <p align="center">'.$web342.'</p>
  <br />
  <p align="center">[ <a href="'.CHEMIN.'user.php?lng='.$lng.'">'.$web343.'</a> ]</p>
  <br />';
}
else {
  echo '
  <p>'.$web38.'</p>';
  if (empty($id)) {
    $id = 1;
  }
  if (count($dbwork) == 1) {
      ReadDoc(DBBASE.$dbwork[0][4]);
      if ($lng == $lang[0]) {
        $txt1 = $fieldb1;
        $txt2 = $fieldc1;
        $txt3 = $fielda1;
        $txt4 = $fieldd1;
      }
      else {
        $txt1 = $fieldb2;
        $txt2 = $fieldc2;
        $txt3 = $fielda2;
        $txt4 = $fieldd2;
      }
      echo '
  <br />';
    if (trim($txt3) != "") {
        $imgmenu1="plumenu.gif";
        echo '
  <div>
    <span>
      <img src="'.CHEMIN.'inc/img/general/'.$imgmenu1.'" alt=" " title=" " />&nbsp;'.$rubr.'
    </span>
  </div>';
      }
      if (count($dbwork)>$serviz[5]) {
        $n=$i-$serviz[5]*$id+$serviz[5];
      } 
      else {
        $n=$i;
      }
      echo '
  <div>&nbsp;&nbsp;<img src="'.CHEMIN.'inc/img/general/puce.gif" alt=" " title=" " /> '.$txt1.'</div>
  <div class="bord">
    <div class="rep" style="margin:2px">
      <p>'.$txt2.'</p>
      <p align="right" ><a href="'.$txt4.'" target="_blank"><img src="'.CHEMIN.'inc/img/general/site.gif" border="0" alt="'.$web304.'" title="'.$web304.'" /></a></p>
    </div>';
      if ($serviz[32]=="on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) {
        echo '
  <div align="right">
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=links&amp;form=2&amp;id='.$dbwork[0][4].'"><img src="'.CHEMIN.'inc/img/general/edit.gif" border="0" alt="'.$web308.'" title="'.$web308.'" /></a>
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=links&amp;act=i&amp;id='.$dbwork[0][4].'"><img src="'.CHEMIN.'inc/img/general/desact.gif" border="0" alt="'.$web333.'" title="'.$web333.'" /></a>
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=links&amp;del='.$dbwork[0][4].'"><img src="'.CHEMIN.'inc/img/general/del.gif" border="0" alt="'.$web324.'" title="'.$web324.'" /></a>
  </div>';
      }
      echo '
  </div>';
  }
  else if (!empty($dbwork)) {
    if (count($dbwork)-($serviz[5]*($id-1))>$serviz[5]) {
      $nlpg=$serviz[5];
    }
    else {
      $nlpg=count($dbwork)-($serviz[5]*($id-1));
    }
    echo '
  <script language="javascript" type="text/javascript">
    var maxsub = '.$nlpg.';
  </script>
  <br />';
    $rubr = "";
    $l = 0;
    for ($i = $serviz[5]*($id-1); $i < Min($serviz[5]*$id, count($dbwork)); $i++) {
      ReadDoc(DBBASE.$dbwork[$i][4]);
      if ($lng == $lang[0]) {
        $txt1 = $fieldb1;
        $txt2 = $fieldc1;
        $txt3 = $fielda1;
        $txt4 = $fieldd1;
      }
      else {
        $txt1 = $fieldb2;
        $txt2 = $fieldc2;
        $txt3 = $fielda2;
        $txt4 = $fieldd2;
      }
      if ($rubr <> $txt3) {
        $rubr = $txt3;
        $imgmenu1 = "plumenu.gif";
        $imgmenu2 = "moinsmenu.gif";
        if ($l > 0) {
          echo '
  </div>';
        } 
        if (trim($rubr) != "") {
          $l++;
          echo '
  <div>
    <div>
      <br />
      <strong>
        <span id="links_1_'.$i.'" style="cursor:pointer;" onclick="cache(\'links_1_'.$i.'\'); montre(\'links_2_'.$i.'\'); montre(\'idlinks'.$i.'\');"><img src="'.CHEMIN.'inc/img/general/'.$imgmenu1.'" border="0" alt="+" title="+" />&nbsp;'.$rubr.'</span>
        <span id="links_2_'.$i.'" style="display:none; cursor:pointer;" onclick="cache(\'idlinks'.$i.'\'); cache(\'links_2_'.$i.'\'); montre(\'links_1_'.$i.'\');"><img src="'.CHEMIN.'inc/img/general/'.$imgmenu2.'" border="0" alt="-" title="-" />&nbsp;'.$rubr.'</span>
      </strong>
    </div>
  </div>
  <div id="idlinks'.$i.'" style="display:none; margin:2px; padding:2px">';
        }
      }
      if (count($dbwork)>$serviz[5]) {
        $n=$i-$serviz[5]*$id+$serviz[5];
      } 
      else {
        $n=$i;
      }
      echo '
    <div style="cursor:pointer;" onclick="submenu(\''.($n+1).'\')">&nbsp;&nbsp;<img src="'.CHEMIN.'inc/img/general/puce.gif" alt=" " title=" " /> '.$txt1.'</div>
      <div class="bord" id="sub'.($n+1).'" style="display: none;">
        <div class="rep" style="margin:2px"><p>'.$txt2.'</p>
          <p align="right" ><a href="'.$txt4.'" target="_blank"><img src="'.CHEMIN.'inc/img/general/site.gif" border="0" alt="'.$web304.'" title="'.$web304.'" /></a></p>
        </div>
        <div align="right">
          &nbsp;<img src="'.CHEMIN.'inc/img/general/minus.gif" style="cursor:pointer;" border="0" alt="'.$web57.'" title="'.$web57.'" onclick="cache(\'sub'.($n+1).'\')" />';
      if ($serviz[32]=="on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) {
        echo '
          <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=links&amp;form=2&amp;id='.$dbwork[$i][4].'"><img src="'.CHEMIN.'inc/img/general/edit.gif" border="0" alt="'.$web308.'" title="'.$web308.'" /></a>
          <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=links&amp;act=i&amp;id='.$dbwork[$i][4].'"><img src="'.CHEMIN.'inc/img/general/desact.gif" border="0" alt="'.$web333.'" title="'.$web333.'" /></a>
          <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=links&amp;del='.$dbwork[$i][4].'"><img src="'.CHEMIN.'inc/img/general/del.gif" border="0" alt="'.$web324.'" title="'.$web324.'" /></a>';
      }
      echo '
        </div>
      </div>';
    }
    if ($l > 0) {
      echo '
    </div>
    <br />';
    }
  }
  echo GetNavBar("links.php?lng=".$lng."&amp;pg=".$pg."&amp;id=", count($dbwork), $id, $serviz[5]);
}
btable();
include("inc/bpage.inc");
?>
