<?php
/*
    User preferencies - GuppY PHP Script -  version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alv?
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v2.3 (27 July 2003)      : initial release
      v2.4 (24 September 2003) : show user name option & tiny message option (by Nicolas Alves and Laurent Duveau)
                                 added forum personalized signature
                                 upgraded checks for unwanted characters like ' in pseudo, with the use of the new RemoveQuote() function
                                 secured transfered parameters
      v3.0 (25 February 2004)  : added skins (by Nicolas Alves)
                                 added possibility to put all boxes on the right side
                                 added UID management for Tiny Messages and check if Pseudo is already taken
                                 added limit Pseudo to basic [a-Z][0-9] characters and check e-mail syntax
                                 bug fix that would hide forum signature in some cases (thanks HubbY)
      v3.0p1 (26 Feb 2004)     : bug fix, now checks e-mail correctly in the VerifyForm() function
      v4.0 (06 December 2004)  : upgrade management UID,
                                 added page title (by Jean-Mi)
                                 added avatars management (by Nicolas Alves)
                                 added new look with td css class (by Icare)
                                 corrected avatars table and W3C compliance (by Icare)
      v4.5 (21 Mai 2005)       : corrected box title (by Icare)
                                 $ushow default checked (by Icare)
*/
header("Pragma: no-cache");
define("CHEMIN", "");
include("inc/includes.inc");

if ($serviz[28] != "on") {
  exit($web143);
}
$setusercookie = strip_tags($setusercookie);
$unreg = strip_tags($unreg);
$ulang = strip_tags($ulang);
$upseudo = KeepGoodChars(RemoveConnector(RemoveQuote(stripslashes(CutLongWord(strip_tags($upseudo),20)))));
$uemail = CutLongWord(strip_tags($uemail));
$uboxes = strip_tags($uboxes);
$ureadlang = strip_tags($ureadlang);
$ushow = strip_tags($ushow);
$usign = WrapLongWords(stripslashes(strip_tags($usign)));
$uuid = strip_tags($uuid);
$uwebesite = strip_tags($uwebesite);
$udesign = strip_tags($udesign);
$usermess = "";
$pseudok = 1;
if ($setusercookie == 1) {
  $dossier = opendir(USEREP);
  while ($fichier = readdir($dossier)) {
    if (is_file(USEREP.$fichier)) {
      if (basename($fichier) == $upseudo.DBEXT) {
        $dbmsg = ReadDBFields(USEREP.$upseudo.DBEXT);
        if (($dbmsg[0][0] != $userprefs[7]) && ($dbmsg[0][0] != $uuid)) {
          $pseudok = 0;
        }
      }
    }
  }
  closedir($dossier);
  if ($pseudok == 1) {
    $userprefs[0] = $ulang;
    $userprefs[1] = $upseudo;
    $lng = $ulang;
    $userprefs[2] = $uemail;
    $userprefs[3] = $uboxes;
    $userprefs[4] = $ureadlang;
    $userprefs[5] = $ushow;
    $userprefs[6] = PutBR(RemoveConnector(stripslashes($usign)));
    if (empty($uuid))
      $userprefs[7] = GenerateUID();
    else
      $userprefs[7] = $uuid;
    $userprefs[8]= trim($avatar);
    if ($uwebesite == "http://")
          $userprefs[9] = "";
    else
          $userprefs[9] = $uwebesite;
    $userprefs[10] = $udesign;
    $userdb = array();
    if (is_file(USEREP.$userprefs[1].DBEXT)) {
      $userdb = ReadDBFields(USEREP.$userprefs[1].DBEXT);
    }
    if($serviz[31]!="" && $userdb[1][0]=="") {
      $userdb[0][0] = $userprefs[7];
      $userdb[1][0] = "0";
      $userdb[2][0] = $serviz[31].CONNECTOR.GetCurrentDateTime().CONNECTOR."&nbsp; ".$web253." ".$userprefs[1].$web167." ".$site[0].CONNECTOR."new".CONNECTOR."".CONNECTOR."".CONNECTOR."".CONNECTOR.$serviz[43];	
    }
    else {
      $userdb[0][0] = $userprefs[7];
      $userdb[1][0] = "0";
    }
    WriteDBFields(USEREP.$userprefs[1].DBEXT,$userdb);
    $userdata = $userprefs[0].CONNECTOR.$userprefs[1].CONNECTOR.$userprefs[2].CONNECTOR.$userprefs[3].CONNECTOR.$userprefs[4].CONNECTOR.$userprefs[5].CONNECTOR.$userprefs[6].CONNECTOR.$userprefs[7].CONNECTOR.$userprefs[8].CONNECTOR.$userprefs[9].CONNECTOR.$userprefs[10];
     
    setcookie($usercookie, $userdata, time() + 157680000);
    $usermess = $web161;
    if (!empty($userprefs[4])) {
      include(CHEMIN."inc/lang/".$userprefs[4]."-web".INCEXT);
    }
    else {
      include(CHEMIN."inc/lang/".$lng."-web".INCEXT);
    }
  }
}
elseif ($unreg == 1) {
  if (FileDBExist(USEREP.$userprefs[1].DBEXT)) {
    $dbmsg = ReadDBFields(USEREP.$userprefs[1].DBEXT);
    if ($dbmsg[0][0] == $userprefs[7]) {
      DestroyDBFile(USEREP.$userprefs[1].DBEXT);
    }
  }
  if (FileDBExist(FILECOUNTMSG.$userprefs[1].DBEXT)) {
    DestroyDBFile(FILECOUNTMSG.$userprefs[1].DBEXT);
  }
  $userprefs[0] = "";
  $userprefs[1] = "";
  $userprefs[2] = "";
  $userprefs[3] = "";
  $userprefs[4] = "";
  $userprefs[5] = "";
  $userprefs[6] = "";
  $userprefs[7] = "";
  $userprefs[8] = "";
  $userprefs[9] = "";
  $userprefs[10] = "";  
  setcookie($usercookie, "", time() - 3600);
  $usermess = $web163;
}
if (empty($userprefs[7])) $userprefs[7] = GenerateUID();
$uuid = $userprefs[7];
$langue = array();
$dossier = opendir(CHEMIN."inc/lang/");
while ($fichier = readdir($dossier)) {
  if (is_file(CHEMIN."inc/lang/".$fichier)) {
    $basefic = basename($fichier);
    $path_parts = substr($basefic,strrpos($basefic,".")+1);
    if ($path_parts == "inc") {
      if (strpos($basefic, "-web") !== false) {
        $langue[] = substr($basefic,0,strlen($basefic)-8);
      }
    }
  }
}
closedir($dossier);
@sort($langue);
include("inc/hpage.inc");

?>
<script language="javascript" type="text/javascript">
 function VerifyForm() {
    var sto = '';
    var erreur = false;
    regexp = /^\w{2,20}$/;
    if (!regexp.test(document.userprefnow.upseudo.value)) {
      sto += '  - <? echo addslashes($web266); ?>\n';
      erreur = true;
    }
    regexp = /^\w{5,20}$/;
    if (!regexp.test(document.userprefnow.uuid.value)) {
      sto += '  - <? echo addslashes($web302); ?>\n';
      erreur = true;
    }
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.userprefnow.uemail.value)) {
      sto += '  - <? echo addslashes($web42); ?>\n';
      erreur = true;
    }
    if (erreur == true) {
      sto = '<? echo addslashes($web265); ?>\n' + sto;
      alert(sto);
    }
    else {
      document.userprefnow.submit();
    }
  }
</script>
<?
if ($lng == $lang[0]) {
  $i = 0;
}
else {
  $i = 1;
}
htable($nom[$i+34], "100%");
?>
<form name="userprefnow" action="user.php?lng=<? echo $lng; ?>" method="post" onSubmit="VerifyForm(); return false;">
<p align="center"><? echo $web156; ?></p>
<p align="center"><? echo $web157; ?></p>
<p>&nbsp;</p>
<?
if (!empty($usermess)) {
  ?>
  <p align="center"><strong><? echo $usermess; ?></strong></p>
  <p>&nbsp;</p>
  <?
}
?>
<input type="hidden" name="setusercookie" value="1">
<table cellspacing="0" cellpadding="0" align="center" width="98%" border="0">
<?
if ($lang[1] != "") {
  ?>
  <tr><td><p align="center"><? echo $web155; ?></p></td></tr>
  <tr><td align="center"><p><select name="ulang">
  <option value="<? echo $lang[0]; ?>" <? if ($userprefs[0] == $lang[0]) { echo "selected"; } ?>><? echo $lang[0]; ?></option>
  <option value="<? echo $lang[1]; ?>" <? if ($userprefs[0] == $lang[1]) { echo "selected"; } ?>><? echo $lang[1]; ?></option>
  </select></p>
  <?
}
else {
  ?>
  <input type="hidden" name="ulang" value="<? echo $lang[0]; ?>">
  <?
}
?>
</td></tr>
<tr><td><p align="center"><? echo $web49; ?></p></td></tr>
<tr><td align="center"><input class="texte" type="text" name="upseudo" size="40" value="<? echo $userprefs[1]; ?>"></td></tr>
<tr><td><p align="center"><? echo $web300; ?></p></td></tr>
<tr><td align="center"><input class="texte" type="text" name="uuid" size="40" value="<? echo $uuid; ?>"></td></tr>
<tr><td><p align="center"><i><? echo $web301; ?></i></p></td></tr>
<tr><td><p align="center"><? echo $web50; ?></p></td></tr>
<tr><td align="center"><input class="texte" type="text" name="uemail" size="40" value="<? echo $userprefs[2]; ?>"></td></tr>
<?
if ($members[0]=="on") {
  ?>
  <tr><td><p align="center"><input type="hidden" name="ushow" value="on">&nbsp;&nbsp;</p></td></tr>
  <?
}
else {
  ?>
  <tr><td><p align="center"><input type="checkbox" name="ushow" <? if (!$userprefs[5] || $userprefs[5] =="on") echo "checked"; ?>>&nbsp;&nbsp;<? echo $web213; ?></p></td></tr>
  <?
}
?>
<tr><td><p align="center"><? echo $web51; ?></p></td></tr>
<tr><td align="center"><input class="texte" type="text" name="uwebesite" size="40" value="<? if ($userprefs[9]) echo $userprefs[9]; else echo "http://" ?>"></td></tr>
<?
$uskintheme = array();
$dossier = opendir(CHEMIN."inc/img/skin/");
while ($fichier = readdir($dossier)) {
  if (is_dir(CHEMIN."inc/img/skin/".$fichier) && $fichier != "." && $fichier != "..") {
     $uskintheme[] = $fichier;
  }
}
closedir($dossier);
@sort($uskintheme);
?>
<tr><td><p align="center"><? echo $web307; ?></p></td></tr>
<tr><td align="center"><select name="udesign">
<option value=""><? echo $web315; ?></option>
<?
for ($i = 0; $i < count($uskintheme); $i++) {
  if ($userprefs[10] == $uskintheme[$i]) {
    $sel = " selected";
    }
    else {
    $sel = "";
    }
  echo "<option value=\"".$uskintheme[$i]."\"".$sel.">".$uskintheme[$i]."</option>\n";
}
?>
</select></td></tr>
<?
if ($page[23]!="") {
  $imgavatars = array();
  $dossier = opendir(CHEMIN."inc/img/avatars/".$page[23]."/");
  while ($fichier = readdir($dossier)) {
    if (is_file(CHEMIN."inc/img/avatars/".$page[23]."/".$fichier)) {
      $path_parts = basename($fichier);
      $path_parts = substr($path_parts,strrpos($path_parts,".")+1);
      if (Isimage($path_parts)) {
        $imgavatars[] = $fichier;
      }
    }
  }
  closedir($dossier);
  @sort($imgavatars);
  ?>
  <tr><td><br /><p align="center"><? echo $web303; ?></p><br /></td></tr>
  <tr><td>
  <table align="center" cellpadding="3" cellspacing="3" border="0">
  <tr>
  <?
  $nbrimgavatar = 0; $j= count($imgavatars);
  for ($i = 0; $i < count($imgavatars); $i++) {
    ?>
    <td align="center"><img border="0" src="<? echo CHEMIN; ?>inc/img/avatars/<? echo $page[23]; ?>/<? echo $imgavatars[$i] ?>" alt="<? echo $imgavatars[$i] ?>">
    <br /><input type="radio" value="<? echo $imgavatars[$i]; ?>" name="avatar" <? if ($userprefs[8]==$imgavatars[$i]) echo "checked"; ?>></td>
    <?
    $nbrimgavatar++; $j--;
    if ($nbrimgavatar == 5 && $j != 0) {
      $nbrimgavatar = 0; 
      echo "</tr><tr>\n";
    }
  }
  $vid = 5 - count($imgavatars)%5 ;
  if ($vid != 0) { echo "<td colspan=\"$vid\"></td>"; }
  ?>
  </tr>
  </table>
  <?
}
?>
<tr><td><p align="center"><? echo $web219; ?></p></td></tr>
<tr><td align="center"><textarea name="usign" rows="2" cols="32"><? echo RemoveBR(stripslashes($userprefs[6])); ?></textarea></td></tr>
<?
if (!empty($posbox[0]) || !empty($posbox[1]) || !empty($posbox[2]) || !empty($posbox[3]) || !empty($posbox[4]) || !empty($posbox[5]) || !empty($posbox[6]) || !empty($posbox[7]) || !empty($posbox[8])) {
  ?>
  <tr><td><p align="center"><? echo $web164; ?></p></td></tr>
  <tr><td align="center"><p><select name="uboxes">
  <option value="LR" <? if ($userprefs[3] == "LR") { echo "selected"; } ?>><? echo $web165; ?></option>
  <option value="L" <? if ($userprefs[3] == "L") { echo "selected"; } ?>><? echo $web166; ?></option>
  <option value="R" <? if ($userprefs[3] == "R") { echo "selected"; } ?>><? echo $web232; ?></option>
  </select></p></td></tr>
  <?
}
?>
</table>
<p>&nbsp;</p>
<p align="center"><? echo $boutonleft; ?><input class="bouton" type="submit" value="<? echo $web154; ?>"><? echo $boutonright; ?></p>
</form>
<p align="center"><strong>[ <a href="user.php?lng=<? echo $lng; ?>&amp;unreg=1"><? echo $web162; ?></a> ]</strong></p>
<?
if ($setusercookie == 1) {
    ?>  
    <script type="text/javascript" language="javascript">
      window.location='compte.php?lng=<?php echo $lng; ?>';
    </script>
    <?
}
btable();
include("inc/bpage.inc");
if ($pseudok == 0) {
  ?>
  <script language="javascript" type="text/javascript">
  alert('<? echo addslashes($web231); ?>');
  </script>
  <?
}
?>
