<?php
/*
    Download - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alves,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.7 (28 January 2003)   : added category ordering information
      v2.2 (22 April 2003)     : option for choosing the number of items to display in news, forum threads, links, downloads, FAQ and Guestbook
                                 cleanup in the images organization
      v2.3 (27 July 2003)      : added direct jump to pages (by Nicolas Alves and Laurent Duveau)
      v2.4 (24 September 2003) : added section icon in central boxes
                                 added number of times a file was downloaded (by Nicolas Alves and Laurent Duveau)
                                 added ReadDoc() function
                                 added ReadDocCounter(), WriteDocCounter() and UpdateDocCounter() functions
                                 reviewed all Files Read & Write functions
                                 secured transfered parameters
                                 created $typ_[name] variables
      v4.0 (06 December 2004)  : added page title
                                 added openning pdf files (by Jean-Mi)
                                 added alt tags to img and removed border tag for non-linked img (by Isa)
                                 new look by adding td classes (by Icare)
                                 added optionnal quick admin (by Nicolas Alves)
      v4.5 (22 March 2005)     : new complete release (by Nicolas Alves)
                                 replacing navigation bar (by Jean-Mi)
                                 added close button and correct closing div (by Icare)
*/

header("Pragma: no-cache");
define("CHEMIN", "");
include("inc/includes.inc");
if ($serviz[10] != "on") {
  exit($web143);
}
$pg = strip_tags($pg);
$id = strip_tags($id);
if (!empty($pg) && !is_numeric($pg)) die('Erreur dans la variable $pg');
if (!empty($id) && !is_numeric($id)) die('Erreur dans la variable $id');

function IsNotEmptyTitle($var) {
  global $lng, $lang;
  return $lng == $lang[0] ? !empty($var[2]) : !empty($var[3]);
}

if ($pg != '') {
  if (count(SelectDBFields(TYP_DNLOAD, "a", $pg)) != 0) {
    $dbwork[0][4] = $pg;
  } else {
    $dbwork = array();
  }
} else {
  $dbwork2 = ReadDBFields(DBDNLOAD);
  $dbwork = array_filter($dbwork2, 'IsNotEmptyTitle');
  unset($dbwork2);
}
@sort($dbwork);

if ($lng == $lang[0]) {
  $i = 0;
} else {
  $i = 10;
}
$topmess = $nom[$i+1];
include("inc/hpage.inc");
if ($lng == $lang[0]) {
  $i = 0;
} else {
  $i = 10;
}
$topmess = $nom[$i+1];
if ($page[9] != "") {
  $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/download.gif" align="right" width="32" height="32" border="0" alt="download.gif" title="download.gif" />'.$topmess;
}
htable($topmess, "100%");
if ($members[0]=="on" && $userprefs[1]=="" && $members[7]=="on") {
  echo '
  <br />
  <p align="center">'.$web342.'</p>
  <br />
  <p align="center">[ <a href="'.CHEMIN.'user.php?lng='.$lng.'">'.$web343.'</a> ]</p>
  <br />';
}
else {
  if (empty($id)) {
    $id = 1;
  }
  if (count($dbwork) == 1) {
    ReadDoc(DBBASE.$dbwork[0][4]);
    if ($lng == $lang[0]) {
      $txt1 = $fieldb1;
      $txt2 = $fieldc1;
      $txt3 = $fielda1;
      $file = $fieldd1;
    } else {
      $txt1 = $fieldb2;
      $txt2 = $fieldc2;
      $txt3 = $fielda2;
      $file = $fieldd2;
    }
    $downcounter = -1;
    $txtcount = "";
    if ($serviz[35] == "on") {
      if (!eregi(".php$|.htm$|.html$|.pdf$", $file)) {
        $downcounter  = ReadDocCounter(DBBASE.$dbwork[$i][4]);
        if ($downcounter <= 1) {
          $txtcount = $web188;
        } else {
          $txtcount = $web189;
        }
      }
    }
    $txt4 = (@round(filesize(CHEMIN.$file) / 102.4) / 10)." ko";
      echo '
  <br />';
    if (trim($txt3) != "") {
      $imgmenu1 = "dl.gif";
      echo '
  <div>
      <span>
        <img src="'.CHEMIN.'inc/img/general/'.$imgmenu1.'" border="0" alt=" " title=" " />&nbsp;'.$rubr.'
      </span>
  </div>';
    }
    echo '
  <div>&nbsp;&nbsp;<img src="'.CHEMIN.'inc/img/general/puce.gif" alt="'.$web362.'" title="'.$web362.'" /> '.$txt1.'</div>
  <div class="bord">
    <div class="rep" style="margin:2px"><p>'.$txt2.'</p>
    <br />
    <hr />
    <p style="font-size: 11px;">'.$txt1.'&nbsp;&nbsp;('.$txt4.')&nbsp;&nbsp;';
    if ($downcounter == -1) {
      echo $web282.'&nbsp;&nbsp;<a href="'.CHEMIN.$file.'" target="_blank" title="'.$web362.'"><img src="'.CHEMIN.'inc/img/general/download.gif" border="0" alt="'.$web362.'" title="'.$web362.'" /></a></p>';
    }
    else {
      echo $web191.' '.$downcounter.' '.$txtcount.'&nbsp;&nbsp;<a href="javascript:PopupWindow(\'dwnld.php?lng='.$lng.'&amp;pg='.$dbwork[$i][4].'\',\'dnload\',400,265,\'no\',\'no\')" title="'.$web362.'"><img src="'.CHEMIN.'inc/img/general/download.gif" border="0" alt="'.$web362.'" title="'.$web362.'" /></a></p>';
    }
    echo '
    </div>';
    if ($serviz[32]=="on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) {
      echo '
    <div align="right">
      <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=dnload&amp;form=2&amp;id='.$dbwork[0][4].'"><img src="'.CHEMIN.'inc/img/general/edit.gif" border="0" alt="'.$web308.'" title="'.$web308.'" /></a>
      <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=dnload&amp;act=i&amp;id='.$dbwork[0][4].'"><img src="'.CHEMIN.'inc/img/general/desact.gif" border="0" alt="'.$web333.'" title="'.$web333.'>" /></a>
      <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=dnload&amp;del='.$dbwork[0][4].'"><img src="'.CHEMIN.'inc/img/general/del.gif" border="0" alt="'.$web324.'" title="'.$web324.'" /></a>
    </div>
  </div>';
    }
    echo '
  </div>';
  }
  else if (!empty($dbwork)) {
    if (count($dbwork)-($serviz[4]*($id-1))>$serviz[4]) {
      $mawmenu=$serviz[4];
    } else {
      $mawmenu=count($dbwork)-($serviz[4]*($id-1));
    }
    echo '
  <script language="JavaScript" type="text/javascript">
    var maxsub = '.$mawmenu.';
  </script>
  <br />';
    $rubr = "";
    $l = 0;
    for ($i = $serviz[4]*($id-1); $i < Min($serviz[4]*$id, count($dbwork)); $i++) {
      ReadDoc(DBBASE.$dbwork[$i][4]);
      if ($lng == $lang[0]) {
        $txt1 = $fieldb1;
        $txt2 = $fieldc1;
        $txt3 = $fielda1;
        $file = $fieldd1;
      } else {
        $txt1 = $fieldb2;
        $txt2 = $fieldc2;
        $txt3 = $fielda2;
        $file = $fieldd2;
      }
      $downcounter = -1;
      $txtcount = "";
      if ($serviz[35] == "on") {
        if (!eregi(".php$|.htm$|.html$|.pdf$", $file)) {
          $downcounter  = ReadDocCounter(DBBASE.$dbwork[$i][4]);
          if ($downcounter <= 1) {
            $txtcount = $web188;
          } else {
            $txtcount = $web189;
          }
        }
      }
      $txt4 = (@round(filesize(CHEMIN.$file) / 102.4) / 10)." ko";
      if ($rubr <> $txt3) {
        $rubr = $txt3;
        $imgmenu1="dl.gif";
        $imgmenu2="dl1.gif";
        if ($l > 0) {
          echo '
  </div>';
        }
        if (trim($rubr) != "") {
          $l++;
          echo '
  <div>
    <div>
      <br />
      <strong>
        <span id="dwnld_1_'.$i.'" style="cursor:pointer;" onclick="cache(\'dwnld_1_'.$i.'\');montre(\'dwnld_2_'.$i.'\');montre(\'iddwnld'.$i.'\');"><img src="'.CHEMIN.'inc/img/general/'.$imgmenu1.'" border="0" alt="+" title="+" />&nbsp;'.$rubr.'</span>
        <span id="dwnld_2_'.$i.'" style="display:none; cursor:pointer;" onclick="cache(\'iddwnld'.$i.'\');cache(\'dwnld_2_'.$i.'\');montre(\'dwnld_1_'.$i.'\')"><img src="'.CHEMIN.'inc/img/general/'.$imgmenu2.'" border="0" alt="-" title="-" />&nbsp;'.$rubr.'</span>
      </strong>
    </div>
  </div>
  <br />
  <div id="iddwnld'.$i.'" style="display:none; margin:2px; padding:2px">';
        }
      }
      if (count($dbwork)>$serviz[4]) {
        $n=$i-$serviz[4]*$id+$serviz[4];
      } 
      else {
        $n=$i;
      }
      echo '
    <div style="cursor:pointer;" onclick="submenu(\''.($n+1).'\')">&nbsp;&nbsp;<img src="'.CHEMIN.'inc/img/general/puce.gif" alt="'.$web362.'" title="'.$web362.'" /> '.$txt1.'
    </div>
    <div class="bord" id="sub'.($n+1).'" style="display:none;">
      <div class="rep" style="margin:2px">
        <p>'.$txt2.'</p>
        <br />
        <hr />
        <p style="font-size: 11px;">'.$txt1.'&nbsp;&nbsp;('.$txt4.')&nbsp;&nbsp;';
      if ($downcounter == -1) {
        echo $web282.'&nbsp;&nbsp;<a href="'.CHEMIN.$file.'" target="_blank" title="'.$web362.'"><img src="'.CHEMIN.'inc/img/general/download.gif" border="0" alt="'.$web362.'" title="'.$web362.'" /></a></p>';
      }
      else {
        echo $web191.' '.$downcounter.' '.$txtcount.'&nbsp;&nbsp;<a href="javascript:PopupWindow(\'dwnld.php?lng='.lng.'&amp;pg='.$dbwork[$i][4].'\',\'dnload\',400,265,\'no\',\'no\')" title="'.$web362.'"><img src="'.CHEMIN.'inc/img/general/download.gif" border="0" alt="'.$web362.'" title="'.$web362.'" /></a></p>';
      }
      echo '
      </div>
      <div align="right" ><img src="'.CHEMIN.'inc/img/general/minus.gif" border="0" alt="'.$web57.'" title="'.$web57.'" onclick="cache(\'sub'.($n+1).'\')">';
      if ($serviz[32]=="on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) {
        ?>
        <a href="<? echo CHEMIN; ?>admin/admin.php?lng=<? echo $lng; ?>&amp;pg=dnload&amp;form=2&amp;id=<? echo $dbwork[$i][4]; ?>"><img src="<? echo CHEMIN; ?>inc/img/general/edit.gif" border="0" alt="<? echo $web308; ?>" title="<? echo $web308; ?>" /></a>
        <a href="<? echo CHEMIN; ?>admin/admin.php?lng=<? echo $lng; ?>&amp;pg=dnload&amp;act=i&amp;id=<? echo $dbwork[$i][4]; ?>"><img src="<? echo CHEMIN; ?>inc/img/general/desact.gif" border="0" alt="<? echo $web333; ?>" title="<? echo $web333; ?>" /></a>
        <a href="<? echo CHEMIN; ?>admin/admin.php?lng=<? echo $lng; ?>&amp;pg=dnload&amp;del=<? echo $dbwork[$i][4]; ?>"><img src="<? echo CHEMIN; ?>inc/img/general/del.gif" border="0" alt="<? echo $web324; ?>" title="<? echo $web324; ?>" /></a>
        <?
      }
      echo '
      </div>
    </div>';
    }
    if ($l > 0) {
      echo '
  </div>
  <br />';
    }
  }
  echo GetNavBar("download.php?lng=".$lng."&amp;pg=".$pg."&amp;id=", count($dbwork), $id, $serviz[4]);
}
btable();
include("inc/bpage.inc");
?>
