<?php
/*
    Search Box - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.7 (28 January 2003)   : bug fix (a $chemin variable was badly passed to the HTML rendering)
      v2.2 (22 April 2003)     : cleanup in the images organization
      v2.3 (27 July 2003)      : added forms style management (by Nicolas Alves)
                                 added "Search in" only one type of content option
      v2.4 (24 September 2003) : added Search in one language only option
                                 added react to an article option
                                 created $typ_[name] variables
      v2.4p2 (28 Sept. 2003)   : fixed bug in which the search engine would return no answer if site was monolingual
      v3.0 (25 February 2004)  : added skin management (by Nicolas Alves)
                                 fixed bug in search non working for News and Photos
      v4.0 (06 December 2004)  : reduced the trans image's width to 1 to prevent the deformation of the box (by Isa)
                                 added alt tags to img and removed border tag for non-linked img (by Isa)
                                 corrected a quote that had been forgotten (by Isa)
      v4.5 (27 February 2005)  : changed initialisation for searchlng (by Jean-Mi)
*/

if (stristr($_SERVER["SCRIPT_NAME"], "boxsearch.inc")) {
  header("location:../index.php");
  die();
}

if ($lng == $lang[0]) {
  $i = 0;
  $j = 0;
}
else {
  $i = 1;
  $j = 10;
}
function SearchOption($serviz_actif, $members_inactif, $typ_code, $typ_nom) {
  global $userprefs, $members;
  if (!$serviz_actif) return;
  if ($userprefs[1] != '' || $members[0] != 'on' || $members_inactif) {
    return '
        <option value="'.$typ_code.'">'.$typ_nom.'</option>';
  }
}

$options = '';
$options .= SearchOption($serviz[3] == "on" || $serviz[22] == "on", $members[1] != 'on', TYP_ART, $web169);
$options .= SearchOption($serviz[29] == "on", $members[1] != 'on', TYP_REACT, $web187);
$options .= SearchOption($serviz[10] == "on", $members[7] != 'on', TYP_DNLOAD, $nom[1+$j]);
$options .= SearchOption($serviz[14] == "on", $members[4] != 'on', TYP_FAQ, $nom[24+$i]);
$options .= SearchOption($serviz[13] == "on", $members[5] != 'on', TYP_FORUM, $nom[22+$i]);
$options .= SearchOption($serviz[12] == "on", $members[12] != 'on', TYP_GUESTBK, $nom[9+$j]);
$options .= SearchOption($serviz[11] == "on", $members[3] != 'on', TYP_LINKS, $nom[3+$j]);
$options .= SearchOption($serviz[8] == "on",  $members[13] != 'on', TYP_NEWS, $nom[7+$j]);
$options .= SearchOption($serviz[21] == "on", $members[2] != 'on', TYP_PHOTO, $nom[2+$j]);
$options .= SearchOption($serviz[47] == "on", $members[14] != 'on', TYP_AGENDA, "Agenda");

htable1($nom[$i+20], "100%");

echo '
<form action="'.CHEMIN.'search.php" method="post" name="formS">
  <input type="hidden" name="lng" value="'.$lng.'" />
  <p align="center">
    <input name="search" class="texte" type="text" size="18" />
    <br />
    <select name="searchin">';
echo '
      <option value="" selected>'.$web168.'</option>';
echo $options;
echo '
    </select>
    <br />';

if ($lang[1] != "") {
?>
<select name="searchlng">
<option value=""><? echo "[".$lang[0]."] ".$web177." [".$lang[1]."]"; ?></option>
<option value="<? echo $lang[0]; ?>"<? echo ($lng == $lang[0] ? " selected" : ""); ?>><? echo "[".$lang[0]."] ".$web178; ?></option>
<option value="<? echo $lang[1]; ?>"<? echo ($lng == $lang[1] ? " selected" : ""); ?>><? echo "[".$lang[1]."] ".$web178; ?></option>
</select>
<?
}
else {
?>
<input type="hidden" name="searchlng" value="<? echo $lang[0]; ?>">
<?
 }
?>
<br /><? echo $boutonleft; ?><input class="bouton" type="button" value="<? echo $web58; ?>" title="<? echo $web58; ?>" onClick="javascript:document.formS.submit();"><? echo $boutonright; ?>
</p></form>
<?
btable1();
?>
