<?
/*
    Install - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v2.0 (27 February 2003)  : initial release
      v2.2 (22 April 2003)     : full rewrite
      v2.3 (27 July 2003)      : upgraded the installation / migration script
      v2.4 (24 September 2003) : upgrade for v2.4 compatibility
      v3.0 (25 February 2004)  : upgrade for v3.0 compatibility
      v4.0 (06 December 2004)  : added alt tags to img and removed border tag for non-linked img (by Isa)
                                 corrected include (by Jean-Mi)
      v4.5 (30 March 2005)     : corrected (by Jean-Mi)
*/

header("Pragma: no-cache");
define("CHEMIN", "../");
include(CHEMIN."inc/includes.inc");
$version = "4.5";

$DBversion = "";
@include(CHEMIN.DATAREP."dbversion.php");
if ($DBversion == "") {
  $DBversion = "< 2.2";
}

if ($lng == "en") {
  $clean1 = "INSTALL OR MIGRATE GUPPY";
  $clean2 = "<CENTER>This script is ment:</CENTER><UL><LI>or for clearing the demo database shipped with GuppY version ".$version." and for preparing your empty database<LI>or for migrating to GuppY version ".$version." from a version 1.8 or later of miniPortail</UL><CENTER>Once you will have executed one of these two operations, you will be proposed to remove this install script from your server,<br />which is a MUST to avoid bad people from corrupting your GuppY web site.</CENTER>";
  $clean3 = "<CENTER><U>IMPORTANT:</U> make sure that you carefully read the <A HREF=\"../readme.txt\">readme.txt</A> file (I even advise you to print it) before going on.</CENTER>";
  $clean4 = "Let's go!";
  $clean5 = "<CENTER>You are in <B>version ".$DBversion."</B> of Guppy.<br /><br />Choose what you want to do:</CENTER>";
  $clean6 = "Clean install";
  $clean7 = "Migration";
  $clean8 = "Deletion of install files";
  $clean9 = "Go to the home page of your site";
}
else {
  $lng = "fr";
  $clean1 = "INSTALLATION OU MIGRATION DE GUPPY";
  $clean2 = "<CENTER>Ce script permet :</CENTER><UL><LI>ou bien de vider la base de donnes de dmonstration livre avec GuppY version ".$version." et de prparer votre base de donnes vierge<LI>ou bien de migrer  la version ".$version." de GuppY  partir d'une version 1.8 ou ultrieure de miniPortail</UL><CENTER>Une fois l'une de ces oprations ralise, il vous sera propos de supprimer ce script d'installation de votre serveur,<br />opration INDISPENSABLE pour viter que des personnes indlicates ne viennent corrompre votre site GuppY.</CENTER>";
  $clean3 = "<CENTER><U>IMPORTANT :</U> assurez-vous de bien avoir lu le fichier <A HREF=\"../lisezmoi.txt\">lisezmoi.txt</A> (je vous conseille mme de l'imprimer) avant de poursuivre.</CENTER>";
  $clean4 = "Allons-y !";
  $clean5 = "<CENTER>Vous tes en <B>version ".$DBversion."</B> de Guppy.<br /><br />Choisissez ce que vous dsirez faire :</CENTER>";
  $clean6 = "Installation propre";
  $clean7 = "Migration";
  $clean8 = "Suppression des fichiers d'installation";
  $clean9 = "Aller  la page d'accueil de votre site";
}

$nextstep = "";
$dodo = 1;

function DisplayTitre($titre,$texte) {
?>

<h3><center><? echo $titre; ?></center></h3>
<table width="90%" align="center" cellpadding="0" cellspacing="0">
<tr><td bgcolor="#DDDDFF">
<br /><? echo $texte; ?><br />
</td></tr>
</table>

<?
 }
function DisplayProcess($titre,$processus,$resultat) {
 DisplayTitre($titre,$processus);
?>

<p align="center">&nbsp;</p>
<table width="50%" align="center" cellpadding="0" cellspacing="0">
<tr><td bgcolor="#FF9933">
<br /><? echo $resultat; ?><br />
</td></tr>
</table>

<?
 }
?>

<html>
<head>
<title><? echo $clean1; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<? echo $charset; ?>">
<script language="JavaScript">
  function redir(param) {
    window.location = param;
  }
</script>
</head>
<body bgcolor="#FFFFFF">
<p align="center"><img src="gylogo.gif" width="124" height="70" alt="gylogo.gif"></p>

<?
 if (empty($form)) {
?>

<p align="center"><a href="Javascript: redir('install.php?lng=fr'); "><img src="<? echo CHEMIN; ?>inc/lang/fr.gif" width="24" height="16" border="0" alt="fr"></a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="Javascript: redir('install.php?lng=en'); "><img src="<? echo CHEMIN; ?>inc/lang/en.gif" width="24" height="16" border="0" alt="en"></a></p>

<?
 DisplayTitre($clean1,$clean2."<br /><br />".$clean3);
?>

<form name="instal0" action="install.php?lng=<? echo $lng; ?>" method="post">
<input type="hidden" name="form" value="1">
<center><input type="submit" value="<? echo $clean4; ?>"></center>
</form>

<?
}
elseif ($form == "1") {
 DisplayTitre($clean1,$clean5);
?>

<form name="instal1" action="install.php?lng=<? echo $lng; ?>" method="post">
<table width="50%" align="center" cellpadding="0" cellspacing="0">

<?
 if ($done != 1) {
?>

<tr><td bgcolor="#DDDDFF"><input type="radio" name="form" value="2">&nbsp;&nbsp;<? echo $clean6; ?></td></tr>
<tr><td>&nbsp;</td>

<?
 if ($DBversion != $version) {
?>

<tr><td bgcolor="#DDDDFF"><input type="radio" name="form" value="3">&nbsp;&nbsp;<? echo $clean7; ?></tr></td>
<tr><td>&nbsp;</td>

<?
 }
  }
?>

<tr><td bgcolor="#DDDDFF"><input type="radio" name="form" value="4">&nbsp;&nbsp;<? echo $clean8; ?></tr></td>
<tr><td>&nbsp;</td>
<tr><td bgcolor="#DDDDFF"><input type="radio" name="form" value="5">&nbsp;&nbsp;<? echo $clean9; ?></tr></td>
<tr><td>&nbsp;</td>
</table>
<center><input type="submit" value="<? echo $clean4; ?>"></center>
</form>

<?
}
elseif ($form == "2") {
  $nextstep = "cleanup.php?lng=".$lng;
  $dodo = 0;
}
elseif ($form == "3") {
  if ($DBversion == "< 2.2") {
    $nextstep = "migrate22.php?lng=".$lng;
    $dodo = 0;
  }
  elseif ($DBversion == "2.2") {
    $nextstep = "migrate23.php?lng=".$lng;
    $dodo = 0;
  }
  elseif ($DBversion == "2.3") {
    $nextstep = "migrate24.php?lng=".$lng;
    $dodo = 0;
  }
  elseif ($DBversion == "2.4") {
    $nextstep = "migrate30.php?lng=".$lng;
    $dodo = 0;
  }
  elseif ($DBversion == "3.0") {
    $nextstep = "migrate40.php?lng=".$lng;
    $dodo = 0;
  }
  elseif ($DBversion == "4.0") {
    $nextstep = "migrate45.php?lng=".$lng;
    $dodo = 0;
  }
}
elseif ($form == "4") {
  $nextstep = "delete.php?lng=".$lng;
  $dodo = 0;
}
else {
  $nextstep = "../";
  $dodo = 0;
}
?>

<p align="center">&nbsp;</p>
<p align="center"><img src="gyslogo.gif" width="104" height="39" alt="gyslogo.gif"></p>
<p align="center">GuppY v<? echo $version; ?><br />CeCILL free Licence -  2004-2006</p>
</body></html>

<?
if ($nextstep != "") {
  if ($dodo != 0) {
    sleep($dodo);
  }
?>

<script language="JavaScript">
 redir('<? echo $nextstep; ?>');
</script>

<?
}
?>
