<?php
/*
    Newsletter - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v3.0 (25 February 2004)  : initial release by Nicolas Alves and Laurent Duveau
      v3.0p1 (26 Feb 2004)     : ergonomic fixes in the e-mails sent when a user subscribes to the newsletter
      v4.0 (06 December 2004)  : added page title (by Jean-Mi)
*/

header("Pragma: no-cache");
define("CHEMIN", "");
include("inc/includes.inc");

if ($serviz[36] != "on") {
  exit($web143);
}

if (eregi('^(http://|Votre|Your)', $nlpseudo)) die('STOP !');

$nlpseudo = KeepGoodChars(CutLongWord(strip_tags(stripslashes($nlpseudo)),20));
$nlmail = strip_tags(stripslashes($nlmail));

$topmess = $web222;
include("inc/hpage.inc");
htable($web222, "100%");

if ($action == "sub") {
  $error = "";
  if(($nlpseudo == "") or ($nlpseudo == KeepGoodChars($web259))) {
    $error = '<p align="justify"> - '.$web252.'</p>';
  }
  if ((!ereg("^(.+)@(.+)\\.(.+)$",$nlmail)) || ($nlmail == "") || ($nlmail == $web260)) {
    $error .= "<p align=\"justify\"> - ".$web251."</p>";
  }
  if ($error == "") {
    $controle = CheckDB2Fields(DBNEWSLETTER,$nlpseudo,0,$nlmail,1);
    if (!$controle) {
      echo '<p>'.$web249.'<b> '.$nlpseudo.'</b><br /><br />'.$web50.'<b> '.$nlmail.'</b> '.$web248.'</p><br />';
      $nllist = Array();
      $nllist[0] = $nlpseudo;
      $nllist[1] = $nlmail;
      $nllist[2] = $lng;
      AppendDBFields(DBNEWSLETTER,$nllist);
      if ($supervision[7] == "on") {
        $to = $nlmail;
        $sujet = $site[0]." - ".$web246;
        $body  = $web245." ".$nlpseudo.$web244." ".$site[0]."<hr />";
        $body .= $web235."<br />".$user[0]."<br />".$site[3]."<hr />";
        $body .= $web243."<br />";
        $body .= '<a href="'.$site[3].'newsletter.php?lng='.$lng.'&action=unsub&nlpseudo='.$nlpseudo.'&nlmail='.$nlmail.'">'.$site[3].'newsletter.php?lng='.$lng.'&action=unsub&nlpseudo='.$nlpseudo.'&nlmail='.$nlmail.'</a>';
        eMailHtmlTo($sujet,$body,$to);
        $body  = $nlpseudo.' ('.$nlmail.') '.$web242.' '.$site[0];
        eMailHtmlTo($sujet,$body,"");
      }
    }
    else {
      echo '<br /><p>'.$web250.'</p><br />';
    }
  }
  else {
    echo '<p align="justify"><b>'.$web256.'</b></p><br />'.$error;
  }
 }
 elseif ($action == "unsub") {
  $error = "";
  if (($nlpseudo == "") || ($nlpseudo == KeepGoodChars($web259))) {
    $error = '<p align="justify"> - '.$web252.'</p>';
  }
  if ((!ereg("^(.+)@(.+)\\.(.+)$",$nlmail)) || ($nlmail == "") || ($nlmail == $web260)) {
    $error .= '<p align="justify"> - '.$web251.'</p>';
  }
  if ($error == "") {
    $controle = CheckDB2Fields(DBNEWSLETTER,$nlpseudo,0,$nlmail,1);
    if ($controle) {
      $nlpseudo = stripslashes($nlpseudo);
      $newdb = array();
      $dbwork = ReadDBFields(DBNEWSLETTER);
      for ($i = 0; $i < count($dbwork); $i++) {
        if (($dbwork[$i][0] != $nlpseudo) && ($dbwork[$i][1] != $nlmail)) {
          $newdb[] = $dbwork[$i];
        }
      }
      WriteDBFields(DBNEWSLETTER,$newdb);
      echo '<p>'.$web253.'<b> '.$nlpseudo.'</b><br /><br />'.$web255.'<b> '.$nlmail.'</b> '.$web254.'</p><br />';
      if ($supervision[7] == "on") {
        $to = $nlmail;
        $sujet  = $site[0]." - ".$web241;
        $body  = $web240." ".$nlpseudo.$web239." ".$site[0]."<hr />";
        $body .= $web235."<br />".$user[0]."<br />".$site[3]."<hr />";
        $body .= $web234."<br />";
        $body .= '<a href="'.$site[3].'newsletter.php?lng='.$lng.'&;action=sub&nlpseudo='.$nlpseudo.'&nlmail='.$nlmail.'">'.$site[3].'newsletter.php?lng='.$lng.'&;action=sub&nlpseudo='.$nlpseudo.'&nlmail='.$nlmail.'</a>';
        eMailHtmlTo($sujet,$body,$to);
        $body  = $nlpseudo." (".$nlmail.") ".$web238." ".$site[0]."\n";
        eMailHtmlTo($sujet,$body,"");
      }
    }
    else {
      echo '<br /><p>'.$web255.'<b>'.$nlmail.'</b>'.$web233.'</p><br />';
    }
  }
  else {
    echo '<p align="justify"><b>'.$web256.'</b></p><br />'.$error;
  }
}
btable();
include("inc/bpage.inc");
?>
